From 6c8fd25da6eea41846acf1b2ccedd02eddef5086 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Tue, 16 Jan 2024 06:31:37 +0800
Subject: [PATCH] Fix building library

---
 QJson4.pri | 20 --------------------
 QJson4.pro | 40 ++++++++++++++++++++++++----------------
 2 files changed, 24 insertions(+), 36 deletions(-)
 delete mode 100644 QJson4.pri

diff --git QJson4.pri QJson4.pri
deleted file mode 100644
index b0bce68..0000000
--- QJson4.pri
+++ /dev/null
@@ -1,20 +0,0 @@
-DEPENDPATH  += .
-INCLUDEPATH += .
-
-# Input
-HEADERS += $$PWD/QJsonArray.h        \
-           $$PWD/QJsonDocument.h     \
-           $$PWD/QJsonObject.h       \
-           $$PWD/QJsonParseError.h   \
-           $$PWD/QJsonValue.h        \
-           $$PWD/QJsonValueRef.h     \
-           $$PWD/QJsonParser.h       \
-           $$PWD/QJsonRoot.h
-
-SOURCES += $$PWD/QJsonArray.cpp      \
-           $$PWD/QJsonDocument.cpp   \
-           $$PWD/QJsonObject.cpp     \
-           $$PWD/QJsonParseError.cpp \
-           $$PWD/QJsonValue.cpp      \
-           $$PWD/QJsonValueRef.cpp   \
-           $$PWD/QJsonParser.cpp
diff --git QJson4.pro QJson4.pro
index 10acba1..4fdb3e3 100644
--- QJson4.pro
+++ QJson4.pro
@@ -1,21 +1,29 @@
+QT -= gui
 
-TEMPLATE = app
-TARGET   = test
+TARGET = QJson4
+TEMPLATE = lib
+CONFIG += sharedlib
 
-include($$PWD/QJson4.pri)
+SOURCES += \
+    QJsonValueRef.cpp \
+    QJsonValue.cpp \
+    QJsonParser.cpp \
+    QJsonParseError.cpp \
+    QJsonObject.cpp \
+    QJsonDocument.cpp \
+    QJsonArray.cpp
 
-SOURCES += main.cpp
+HEADERS += \
+    QJsonValueRef.h \
+    QJsonValue.h \
+    QJsonRoot.h \
+    QJsonParser.h \
+    QJsonParseError.h \
+    QJsonObject.h \
+    QJsonDocument.h \
+    QJsonArray.h
 
-CONFIG(debug, debug|release) {
-	OBJECTS_DIR = $${OUT_PWD}/.debug/obj
-	MOC_DIR     = $${OUT_PWD}/.debug/moc
-	RCC_DIR     = $${OUT_PWD}/.debug/rcc
-	UI_DIR      = $${OUT_PWD}/.debug/uic
-}
-
-CONFIG(release, debug|release) {
-	OBJECTS_DIR = $${OUT_PWD}/.release/obj
-	MOC_DIR     = $${OUT_PWD}/.release/moc
-	RCC_DIR     = $${OUT_PWD}/.release/rcc
-	UI_DIR      = $${OUT_PWD}/.release/uic
+unix: {
+    target.path = @PREFIX@/lib
+    INSTALLS += target
 }
